package com.keyboard.bubble.skin.keyboard.ui

import android.content.Intent
import android.os.Bundle
import android.os.CountDownTimer
import android.widget.ProgressBar
import androidx.appcompat.app.AppCompatActivity
import com.keyboard.bubble.skin.keyboard.R
import com.keyboard.bubble.skin.keyboard.max.MaxManager
import com.keyboard.bubble.skin.keyboard.max.WelComManager
import com.keyboard.bubble.skin.keyboard.utils.MyUtils
import kotlin.math.roundToInt

class WelcomeActivity : AppCompatActivity() {

    private lateinit var progressBar: ProgressBar
    private var countTime = 11000L
    private lateinit var timer: CountDownTimer

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.layout_launch)
        MyUtils.initFullScreen(this)

        MaxManager.onLoadAd()

        init()
        findView()
    }

    private fun init() {

        timer = WelComManager.initTimer(this@WelcomeActivity, countTime, {
            val percentage: Float = 100 - it.toFloat() / countTime * 100
            val round = percentage.roundToInt()
            progressBar.progress = round
        }, {
            progressBar.progress = 100
            toHome()
        })

        timer.start()
    }


    private fun findView() {
        progressBar = findViewById<ProgressBar>(R.id.nova_progress)
    }


    private fun toHome() {
        startActivity(Intent(this, MainActivity::class.java))
        finish()
    }

    override fun onDestroy() {
        super.onDestroy()
        timer.cancel()
    }


}